Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Class ResultPackerProviderImpl

    java.lang.Object
      |
      +--kodo.query.ResultPackerProviderImpl

All Implemented Interfaces:
  Externalizable, ResultPackerProvider, Serializable

public class ResultPackerProviderImpl
extends Object
implements ResultPackerProvider, Externalizable

This implementation returns a new `ResultPackerImpl` instance; overridden implementations might return a subclass.

See Also:
  Serialized Form

Constructor Summary
`ResultPackerProviderImpl()`

Method Summary
`ResultPacker` | `newResultPacker(Class[] types, String[] aliases, Class resultClass)` Create and return a new `ResultPacker` for use by this query.
`ResultPacker` | `newResultPacker(Class aClass, String alias, Class resultClass)` Create and return a new `ResultPacker` for use by this query.
`void` | `readExternal(ObjectInput objectInput)`
`void` | `writeExternal(ObjectOutput objectOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultPackerProviderImpl

    public ResultPackerProviderImpl()

Method Detail

### newResultPacker

    public ResultPacker newResultPacker(Class aClass,
                                        String alias,
                                        Class resultClass)

  Description copied from interface: `ResultPackerProvider`
  Create and return a new `ResultPacker` for use by this query.
  Specified by:
    `newResultPacker` in interface `ResultPackerProvider`

### newResultPacker

    public ResultPacker newResultPacker(Class[] types,
                                        String[] aliases,
                                        Class resultClass)

  Description copied from interface: `ResultPackerProvider`
  Create and return a new `ResultPacker` for use by this query.
  Specified by:
    `newResultPacker` in interface `ResultPackerProvider`

### writeExternal

    public void writeExternal(ObjectOutput objectOutput)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput objectInput)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.